package com.swago.baseswago.model.live;

/**
 * @date 2021/10/18 16:59
 * description:房间模型
 */
public class RoomModel {


    /**
     * rtc_token : string
     * channel_name : string
     * broadcast_id : string
     * user_head_img_url : string
     * broadcast_code : string
     * user_account : string
     * id : string
     * broadcast_hot : string
     * user_name : string
     */

    private String rtc_token;
    private String channel_name;
    private String broadcast_id;
    private String user_head_img_url;
    private String broadcast_code;
    private String user_account;
    private String id;
    private String broadcast_hot;
    private String user_name;
    private String im_group_id;
    private int is_follow;
    private String broadcast_income_coins;
    private int anchor_type;
    private int game_type;//游戏类型(1美女三张)
    private int game_version;
    private String game_down_url;
    private String game_icon_url; //游戏图标
    private String game_url;//游戏页面地址
    private String game_api_url;//游戏API请求地址
    private String broadcast_notice_content;

    public String getRtc_token() {
        return rtc_token;
    }

    public void setRtc_token(String rtc_token) {
        this.rtc_token = rtc_token;
    }

    public String getChannel_name() {
        return channel_name;
    }

    public void setChannel_name(String channel_name) {
        this.channel_name = channel_name;
    }

    public String getBroadcast_id() {
        return broadcast_id;
    }

    public void setBroadcast_id(String broadcast_id) {
        this.broadcast_id = broadcast_id;
    }

    public String getUser_head_img_url() {
        return user_head_img_url;
    }

    public void setUser_head_img_url(String user_head_img_url) {
        this.user_head_img_url = user_head_img_url;
    }

    public String getBroadcast_code() {
        return broadcast_code;
    }

    public void setBroadcast_code(String broadcast_code) {
        this.broadcast_code = broadcast_code;
    }

    public String getUser_account() {
        return user_account;
    }

    public void setUser_account(String user_account) {
        this.user_account = user_account;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBroadcast_hot() {
        return broadcast_hot;
    }

    public void setBroadcast_hot(String broadcast_hot) {
        this.broadcast_hot = broadcast_hot;
    }

    public String getUser_name() {
        return user_name;
    }

    public void setUser_name(String user_name) {
        this.user_name = user_name;
    }

    public String getIm_group_id() {
        return im_group_id;
    }

    public void setIm_group_id(String im_group_id) {
        this.im_group_id = im_group_id;
    }

    public int getIs_follow() {
        return is_follow;
    }

    public void setIs_follow(int is_follow) {
        this.is_follow = is_follow;
    }

    public String getBroadcast_income_coins() {
        return broadcast_income_coins;
    }

    public void setBroadcast_income_coins(String broadcast_income_coins) {
        this.broadcast_income_coins = broadcast_income_coins;
    }

    public int getAnchor_type() {
        return anchor_type;
    }

    public void setAnchor_type(int anchor_type) {
        this.anchor_type = anchor_type;
    }

    public int getGame_type() {
        return game_type;
    }

    public void setGame_type(int game_type) {
        this.game_type = game_type;
    }

    public int getGame_version() {
        return game_version;
    }

    public void setGame_version(int game_version) {
        this.game_version = game_version;
    }

    public String getGame_down_url() {
        return game_down_url;
    }

    public void setGame_down_url(String game_down_url) {
        this.game_down_url = game_down_url;
    }

    public String getGame_icon_url() {
        return game_icon_url;
    }

    public void setGame_icon_url(String game_icon_url) {
        this.game_icon_url = game_icon_url;
    }

    public String getGame_url() {
        return game_url;
    }

    public void setGame_url(String game_url) {
        this.game_url = game_url;
    }

    public String getGame_api_url() {
        return game_api_url;
    }

    public void setGame_api_url(String game_api_url) {
        this.game_api_url = game_api_url;
    }

    public String getBroadcast_notice_content() {
        return broadcast_notice_content;
    }

    public void setBroadcast_notice_content(String broadcast_notice_content) {
        this.broadcast_notice_content = broadcast_notice_content;
    }
}
